Loading...
Searching...
No Matches
TrueMap< K > Class Template Reference
Data Structures » Maps

## Detailed Description

template<typename K>
class lemon::TrueMap< K >

This read-only map assigns `true` to each key.

Note that

TrueMap<K> tm;
lemon::TrueMap
Constant true map.
Definition maps.h:1356

is equivalent to

ConstMap<K,bool> tm(true);
lemon::ConstMap
Constant map.
Definition maps.h:101

See also
  FalseMap
  ConstMap

`#include <lemon/maps.h>`

Inheritance diagram for TrueMap< K >:
[legend]

## Public Types

typedef K | Key
typedef bool | Value
Public Types inherited from MapBase< K, bool >
typedef K | Key
| The key type of the map.
typedef bool | Value
| The value type of the map. (The type of objects associated with the keys).

## Public Member Functions

Value | operator[] (const Key &) const
| Gives back `true`.

## Related Symbols

(Note that these are not member symbols.)
template<typename K>
TrueMap< K > | trueMap ()
| Returns a `TrueMap` class.